<%@ Page Language="VB" AutoEventWireup="false" CodeFile="Default.aspx.vb" Inherits="_Default" %>

<%@ Register Assembly="Neodynamic.WebControls.ImageDraw" Namespace="Neodynamic.WebControls.ImageDraw"
    TagPrefix="neoimg" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>ASP.NET t-shirts</title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <asp:DataList ID="DataList1" runat="server" RepeatColumns="4" RepeatDirection="Horizontal" CellPadding="10">
            <ItemTemplate>
                <neoimg:ImageDraw ID="ImageDraw1" runat="server" AlternateText='<%# Eval("color", "ASP.NET t-shirt - Color: {0}") %>'
                    BoundImageUrl='<%# Eval("imageFileName", "~/images/{0}") %>' CacheExpiresAtDateTime="">
                    <Elements>
                        <neoimg:ImageElement Source="File" SourceFile="">
                            <Actions>
                                <neoimg:Scale HeightPercentage="50" WidthPercentage="50" />
                            </Actions>
                        </neoimg:ImageElement>
                        <neoimg:ImageElement Source="Image" SourceImage="<%$ Resources:MyResources, aspnetlogo %>" X="40" Y="30">
                            <Actions>
                                <neoimg:Scale HeightPercentage="50" WidthPercentage="50" />
                            </Actions>
                        </neoimg:ImageElement>
                    </Elements>
                    <Canvas Height="124" Width="137" />
                </neoimg:ImageDraw>
            </ItemTemplate>
            <HeaderTemplate>
                <span style="color: royalblue; font-family: Arial"><strong>
                Buy your ASP.NET t-shirt now!</strong></span>
            </HeaderTemplate>
        </asp:DataList>
    </div>
    </form>
</body>
</html>
